#include "MatrixSemanticHandler.h"

MatrixSemanticHandler::MatrixSemanticHandler(const std::string& inName, D3DXMATRIX* inValue)
	: BaseSemanticHandler(inName)
	, Value(inValue)
{
}


MatrixSemanticHandler::~MatrixSemanticHandler()
{
}

void MatrixSemanticHandler::OnHandle(IShader* inShader, IShaderParameter* inParameter)
{
	inParameter->set_Matrix(*Value);
}